com.ihr.xbrl.om.xenum

## Class DomainNode

- java.lang.Object
- - com.ihr.xbrl.om.xenum.DomainNode

- All Implemented Interfaces:
    HasDomainNodes

      public class DomainNode
      extends java.lang.Object
      implements HasDomainNodes

  The Class DomainNode.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainNode(XMLElementDefinition concept)` Instantiates a new domain node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(DomainNode newNode)` Adds the child.
    `boolean` | `contains(javax.xml.namespace.QName qNameValue)` Contains.
    `java.util.Iterator<DomainNode>` | `getChildren()` Returns an iterator over domain nodes.
    `XMLElementDefinition` | `getConcept()` Gets the concept.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainNode

          public DomainNode(XMLElementDefinition concept)

      Instantiates a new domain node.
      Parameters:
        `concept` - the concept

  - ### Method Detail

    - #### addChild

          public void addChild(DomainNode newNode)

      Adds the child.
      Parameters:
        `newNode` - the new node

    - #### getConcept

          public XMLElementDefinition getConcept()

      Gets the concept.
      Returns:
        the concept

    - #### getChildren

          public java.util.Iterator<DomainNode> getChildren()

      Description copied from interface: `HasDomainNodes`
      Returns an iterator over domain nodes.
      Specified by:
        `getChildren` in interface `HasDomainNodes`
      Returns:
        the children

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### contains

          public boolean contains(javax.xml.namespace.QName qNameValue)

      Contains.
      Parameters:
        `qNameValue` - the q name value
      Returns:
        true, if successful